.breadcrumb {
  display: block !important;
  font-size: 1.5rem;
  color: var(--dark-blue);
  font-weight: 400;
}
.breadcrumb a {
  color: #BCB09A;
  text-decoration: none;
}
.breadcrumb .breadcrumb-separator{
  margin: 0;
  color: #BCB09A;
}
.breadcrumb span {
  margin: 0 0.3125rem;
}
.catalog{
	padding-top: 6.875rem;
}
.catalog .catalog__top{
	margin-bottom: 3.9375rem;
}
.catalog .catalog__top .catalog__title{
	width: 60.5rem;
}
.catalog__filter {
  text-align: right;
}
.catalog__top-controls {
    padding-left: 26.1875rem;
    padding-bottom: 2.1875rem;
}
.catalog__filter .btn--form-btn{
  font-size: 1.125rem;
  display: inline-flex;       
  align-items: center;        
  justify-content: center; 
  gap: 0.625rem; 
}
.catalog__filter svg{
  stroke: var(--white-2);
}
.catalog__products-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2.625rem 1.5625rem;
  width: 100%;
}

.catalog__pagination {
    margin-top: 4.9375rem;
    margin-bottom: 10.9375rem;
    justify-content: space-around;
}

.page-numbers-wrapper .page-numbers {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 4.6875rem;
    height: 4.6875rem;
    border: 2px solid var(--light-brown); 
    border-radius: 0.3125rem;
    color: var(--light-brown);          
    text-decoration: none;
    font-weight: 500;
    font-size: 1.5rem;
    transition: all 0.3s ease;
    gap: 0.9375rem;
}

.page-numbers-wrapper .page-numbers.current {
    background-color: var(--dark-blue);
    color: var(--white-2);
    border-color: var(--dark-blue);
}

.page-numbers-wrapper .page-numbers:hover:not(.current) {
    border-color: var(--dark-blue);
    background-color: var(--dark-blue);
    color: var(--white-2);
}

.pagination-arrow {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 4.6875rem;
    height: 4.6875rem;
    color: var(--white-2);
    border-color: var(--dark-blue);
    background-color: var(--dark-blue);
    border-radius: 0.3125rem;
    transition: opacity 0.3s;
}

.pagination-arrow svg {
    stroke: #fff;
	width: 1.5rem;
	height: 1.5rem;
}

.pagination-arrow.disabled {
    opacity: 0.3;
    pointer-events: none;
}

.catalog__layout {
  position: relative;
  gap: 1.75rem;
  transition: all 0.3s ease;
}

.catalog__filter-panel {
  width: 24.4375rem;
  opacity: 1;
  height: auto;
  color:var(--dark-blue);
  background-color: #F7FBFF;
  padding: 2.1875rem;
  border-radius: 0.3125rem;
  transition: width 0.4s ease, opacity 0.4s ease;
}

.filter-title{
  font-size: 1.5rem;
  font-weight: 500;
	color: var(--dark-blue);

}

.catalog__content {
  flex: 1;
  transition: all 0.4s ease;
}

.catalog__active-filters {
  display: flex;
  flex-wrap: wrap;
  gap: 0.9375rem;
}
.filter-section{
  display: flex;
  flex-direction: column;
  gap: 1.25rem;
}
.active-filter-tag {
  background: var(--light-blue);
  border: 1px solid var(--light-blue);
  border-radius: 0.3125rem;
  padding: 0.875rem 0.625rem;
  font-size: 1.5rem;
  font-weight: 400;
  display: flex;
  align-items: center;
  gap: 0.625rem;
  color: var(--dark-blue);
}

.active-filter-tag button.remove-filter {
  background: none;
  border: none;
  color: #9F8170;
  font-weight: normal;
  cursor: pointer;
  line-height: 1;
}
.active-filter-tag button.remove-filter svg{
  width: 0.75rem;
  height: 0.75rem;
  stroke: #9F8170;
}

.catalog__active-filters-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 2.8125rem;
  padding-bottom: 2.1875rem;
}

.catalog__active-filters {
  display: flex;
  flex-wrap: wrap;
  gap: 1.25rem;
}
.price-inputs svg{
    fill:none;
    stroke: var(--dark-blue);
}
#resetFilters {
  background: transparent;
  border: none;
  border-bottom: 1px solid #D7CEBD;
  color: var(--red);
  font-size: 1.5rem;
  cursor: pointer;
  transition: all 0.2s ease;
}

.hidden {
  display: none;
}

.price-inputs {
  display: flex;
  justify-content: space-between;
  margin-bottom: 1.5625rem;
  gap: 0.9375rem;
  align-items: center;
}

.filter-section .price-range .price-inputs input {
  width: 8.0625rem;
  background-color: transparent;
  color: var(--dark-blue);
  border: 2px solid var(--light-brown);
  font-size: 1.5rem;
  border-radius: 0.3125rem;
  text-align: center;
  font-weight: 400;
}
.filter-section .price-range .price-inputs input {
  width: 9.0625rem;
  height: 4.6875rem;
}
.filter-section .price-range .price-inputs  svg{
  fill: var(--dark-blue);
}
.price-inputs input::-webkit-outer-spin-button,
.price-inputs input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.price-inputs input[type=number] {
  -moz-appearance: textfield;
}
.slider-container { 
  position: relative; 
  height: 0.15rem; 
  background: #CBB7AE; 
}
.slider-track { 
  position: absolute; 
  height: 0.15rem;  
  width: 23.5625rem; 
  top: 0; 
  left: 0; 
}
.slider-range { 
  position: absolute; 
  height: 0.15rem; 
  background: var(--dark-blue); 
  top: 0; 
}
.slider-thumb {
  position: absolute; 
  width: 1.625rem; 
  height: 1.625rem;
  border-radius: 50%;
  background: var(--dark-blue); 
  top: -0.75rem; 
  cursor: pointer;
  border: none; 
  z-index: 2;
}


.color-options {
  display: flex;
  flex-direction: column;
  gap: 1.25rem;
  max-height: 14rem; 
  overflow: hidden;
  transition: max-height 0.3s ease;
}

.color-options.expanded {
  max-height: max-content;
}

.show-more-btn {
  margin-top: 1rem;
  background: none;
  border: none;
  color: var(--dark--blue);
  font-size: 1.375rem;
  cursor: pointer;
  display: inline-block;
  text-align: left; 
	text-decoration: underline;
}
.catalog__sort-wrapper {
    margin-bottom: 24px;
}

#sortSelect {
  border: none;
  background: transparent;
  appearance: none;
  -webkit-appearance: none;
  
  padding-right: 2.5rem; 
  
  background-image: url('data:image/svg+xml;utf8,<svg width="10" height="6" viewBox="0 0 10 6" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M1 1L5 5L9 1" stroke="%23021D48" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/></svg>');
  background-repeat: no-repeat;
  background-position: right 0.625rem center; 
  background-size: 0.625rem; 
  
  font-size: 1.125rem;
  color: var(--dark-blue);
  cursor: pointer;
  
  text-overflow: ellipsis;
  white-space: nowrap;
  max-width: 100%;
}

@media screen and (min-width: 960px){
    .content_top {
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .catalog__categories {
        display: flex;
        justify-content: center;
        align-items: center;
    }

	.custom-checkbox {
		font-size: 1.5rem;
	}
	
	#sortSelect{ 
		font-size: 1.5rem;
		color: var(--dark-blue);
	}
}

.catalog__pagination .page-item.prev, .catalog__pagination .page-item.next { 
	line-height: 100%;
}

@media (max-width: 959px) {
  .breadcrumb {
    font-size: 1.125rem;
  }
  .catalog{
    padding-top: 7.125rem;
  }
	.catalog .container{
		max-width: 100%;
		overflow: hidden;
	}
  .catalog .catalog__top{
    margin-bottom: 2.8125rem;
  }
  .catalog__top-controls {
    padding-left: 0;
  }
  .catalog__content .catalog__top-controls{
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    padding-bottom: 2.5rem;
    padding-top: 2.5rem;
    gap: 1.5625rem;
  }
  .active-filter-tag{
    font-size: 1.125rem;
    font-weight: 400;
  }
  .content_top {
    display: flex;
    flex-direction: column;
    text-align: center; 
    margin: 0 auto; 
    width: 100%; 
  }
  .catalog .catalog__top .catalog__title{
    width: auto;
  }
  .catalog__categories {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
  }
	
	.catalog__categories .swiper-wrapper{
		gap: 0;
	}

  .catalog__category {
/*     flex: 0 0 8rem; */
    text-align: center;
  }

  .catalog__category:first-child {
    margin-left: 0; 
  }

  .catalog__category-img {
    width: 9.0625rem;
    height: 9.0625rem;
  }

  .catalog__category-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 0.5rem;
  }

  .catalog__category-name {
    display: block;
    font-size: 0.9375rem;
    margin-top: 0.9375rem;
  }

  .scroll-indicator {
    width: 100%;
    margin-top: 2.8125rem;
	height: 0.125rem;
	display: block;
	background-color: #CBB7AE;
	  border-radius: 2px;
  }
	
	.scroll-indicator .swiper-scrollbar-drag{
	  width: 9.4375rem;
	  height: 0.125rem;
	  background-color: #4D3E41;
	  border-radius: 2px;
	}

  .scroll-active {
    stroke: #4D3E41 !important;
    stroke-width: 2;
    stroke-linecap: round;
    stroke-dasharray: 324; 
    stroke-dashoffset: 0;
    transition: stroke-dashoffset 0.12s linear;
  }

  #filterButton{
    border-radius: 0.3125rem;
    width: 100%;
	cursor: pointer;
    background-color: var(--dark-blue);
    color: var(--white-2);
    padding: 1.375rem;
    font-size: 1rem;
    line-height: 110%;
    border: none;
    gap: 0.625rem;
  }
  #sortSelect{ 
      /*padding-right: 0;*/
  }
  .filter-title {
    font-size: 1.125rem;
    margin-bottom: 0rem;
    margin-top: 2.5rem;
  }
  .field-checkbox{
    font-size: 1.125rem;
    gap: 0.625rem;
  }
  .field-checkbox::before {
    width: 1.25rem;
    height: 1.25rem;
  }
  #productFilterForm{
    gap: 0;
  }
  #filterPanel{
    display: none;
  }
  .filter-section .price-range .price-inputs input {
  	width: 100%;
  }
  .catalog .product-card .card__image{
    height: 14.75rem;
  }
  .catalog .product-card .card__name{
    font-size: 1.125rem;
  }
  .catalog .product-card .card__price{
    font-size: 1.125rem;
  }
	.catalog .product-card .card__badges .badge{
		width: fit-content;
	}
  .catalog .product-card .card__badges .badge {
      font-size: 0.74rem;
   }
	.catalog .product-card .card__badges {
		top: 0.175rem;
		left: 0.175rem;
		right: 0.175rem;
	}
}

/*фільтри*/
@media (max-width: 959px) {
  .catalog__products-grid {
    grid-template-columns: repeat(2, 1fr); 
    gap: 1.875rem 0.9375rem; 
    padding: 0;
  }

    .catalog__product-card {
    width: 100%; 
    }

    .catalog__product-image {
    height: 12.9375rem;
    border-radius: 0.3125rem;
    margin-bottom: 0.9375rem;
   }

    .catalog__product-name {
        font-size: 1rem;
    }
    .catalog__product-price {
        font-size: 0.9375rem;
    }
	.catalog__pagination {
		margin-top: 4rem;
	    margin-bottom: 8.5rem;
	}

    .catalog__pagination .page-item.prev, .catalog__pagination .page-item.next {
        font-size: 2.0625rem;
    }
    .catalog__pagination .page-numbers-wrapper {
        font-size: 1rem;
    }
	
	.price-inputs input,
	.price-range .slider-track{
	  width: 100%;
	}
  .pagination_button{
    width: 100%;
    justify-content: space-between;
  }
  .pagination_button .pagination-arrow{
    width: 3.875rem;
    height: 3.9375rem;
  }
  .page-numbers-wrapper .page-numbers{
    width: 4.0625rem;
    height: 4rem;
  }
}
@media (max-width: 959px) {
  .slider-container, .slider-track, .slider-range, .slider-thumb {
    display: block;
  }
}
@media (max-width: 959px) {
  .catalog__pagination {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2.5rem;
  }

  .catalog__pagination .pagination-buttons {
    display: flex;
    justify-content: space-between;
    width: 100%;
  }
}

.desktop-only { display: flex; }
.mobile-only { display: none; }

@media (max-width: 768px) {
  .desktop-only { display: none; }
  .mobile-only { display: flex;}
}

#mobileFilterOverlay {
  display: flex;
  flex-direction: column;
}

@media (max-width: 768px) {
  .mobile-filter-header { display: flex;background-color: rgb(250, 243, 229);z-index: 10; }
  .mobile-filter-reset { 
    display: block; 
  }
  #resetFilters { display: none !important; }
  .filter-section:first-child .filter-title{
    margin-top: 2.1875rem;
  }
  #productFilterForm{
    padding-left: 1.5625rem;
    padding-right: 1.5625rem;
  }
  .catalog__active-filters-wrapper{
     padding: 0; 
  }
}

.options-wrapper label.field-checkbox:nth-child(n+6) {
    display: none; 
}

.options-wrapper.is-open label.field-checkbox:nth-child(n+6) {
    display: flex; 
}

@media (min-width: 769px) {
  #mobileFilterOverlay { display: none !important; }
}